using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using APT.Infrastructure.Utility;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using APT.Infrastructure.Api;
namespace APT.BaseData.Domain.Entities.FM
{
    [Description("用户自定义配置表：编辑页")]
    [APT.Infrastructure.Api.RootOrg]
    /// <summary>
    /// 用户自定义配置   编辑页
    /// </summary>
    [Redis("PAGE_EDIT_ID")]
   [IgnoreT4]public class T_FM_USER_C_C_EDIT : MesEntityBase
	{
		/// <summary>用户自定义配置ID</summary>
		[Description("用户自定义配置ID")]
		public Guid USER_CUSTOM_CONFIG_ID { get; set; }

        [Description("编辑表单ID")]
        /// <summary>
        /// 编辑页ID
        /// </summary>
        public Guid PAGE_EDIT_ID { get; set; }

        [Description("导航：编辑配置表")]
        public virtual T_PF_PAGE_EDIT Nav_PageEdit { get; set; }
        [Description("导航：用户自定义配置")]
        public virtual T_FM_USER_CUSTOM_CONFIG Nav_UserCustomConfig { get; set; }
        [Description("导航：用户列隐藏配置")]
        public virtual ICollection<T_FM_USER_C_C_EDIT_H_COL> Nav_HiddenCols { get; set; }
        [Description("导航：用户编辑页列配置")]
        public virtual ICollection<T_FM_USER_C_C_EDIT_COL> Nav_EditColumns { get; set; }



	}
}
